schemaVersion: 2.2.1
metadata:
  name: go
  language: Go
parent:
  id: go
  registryUrl: 'https://registry.devfile.io'
  version: 1.0.2
components:
  - name: runtime-2
    container:
      endpoints:
        - name: http
          targetPort: 8081
          exposure: public
      image: quay.io/devfile/golang:latest
      memoryLimit: 1024Mi
      mountSources: true
      volumeMounts:
        - name: ephemeral-volume
          path: "/ephemeral-volume"
        - name: persistent-volume
          path: "/persistent-volume"
  - name: sidecar1
    container:
      image: quay.io/devfile/golang:sidecar1
      volumeMounts:
        - name: ephemeral-volume
          path: "/ephemeral-volume"
        - name: persistent-volume
          path: "/persistent-volume"
  - name: sidecar2
    container:
      image: quay.io/devfile/golang:sidecar2
      volumeMounts:
        - name: persistent-volume
          path: "/persistent-volume"
  - name: ephemeral-volume
    volume:
      ephemeral: true
      size: 1Gi
  - name: persistent-volume
    volume:
      size: 2Gi
  - name: persistent-volume-not-mounted
    volume:
      size: 3Gi
commands:
  - id: sidecar1-command
    apply:
      component: sidecar1
  - id: sidecar2-command
    apply:
      component: sidecar2
events:
  preStart:
    - sidecar1-command
    - sidecar2-command